import React, { PropTypes, Component, useState, useEffect } from 'react';
import {View,StyleSheet, Text, Image} from 'react-native';
import {widthPercentageToDP as wp, heightPercentageToDP as hp} from 'react-native-responsive-screen';
import { Actions } from 'react-native-router-flux';

import logo from '../../assert/images/logo.jpeg';

const SplashScreen = () => {

    useEffect(()=>{
        setTimeout(()=>{
            Actions.authenticated();
        },2000);
    });
    return(
        <View style={styles.body}>
            <View style={styles.container}>
                <View style={styles.holder}>
                    {/* <Text style={styles.titel_text}>BusTraker</Text> */}
                    {/* <Image source={logo}  style={styles.logoStyle}/> */}
                    <Text style={styles.titel_text}>Let’s plan your trip</Text>
                </View>
            </View>
        </View>
    );

} 


const styles = StyleSheet.create({
    body : {
        flex : 1,
        backgroundColor : '#00186C'
    },
    container : {
        height : hp('100%'),
        width:wp('100%'),
        alignItems:'center',
        justifyContent:'center'
    },
    holder : {
        height : hp('20%'),
        width:wp('100%'),
        alignItems:'center',
        justifyContent:'center'
    },
    titel_text : {
        fontSize: hp('5%'),
        fontWeight:'bold',
        color:'#fff'
    },
    logoStyle : {
        height : 350,
        width: 300,
        alignItems:'center',
        borderRadius:10,
        
    }
     
});

export default SplashScreen;